I keep hitting this issue in my F20 based devstack env ...

./run_tests.sh -V

....
.....

gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
--param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
--param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic
-D_GNU_SOURCE -fPIC -fwrapv -fPIC -Dversion_info=(1,2,5,'final',1)
-D__version__=1.2.5 -I/usr/include/mysql -I/usr/include/python2.7 -c
_mysql.c -o build/temp.linux-x86_64-2.7/_mysql.o -g -pipe
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
--param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -D_GNU_SOURCE
-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -fPIC -g -static-libgcc
-fno-omit-frame-pointer -fno-strict-aliasing -DMY_PTHREAD_FASTMUTEX=1

_mysql.c:44:23: fatal error: my_config.h: No such file or directory

 #include "my_config.h"

                       ^

compilation terminated.

error: command 'gcc' failed with exit status 1

----------------------------------------
Cleaning up...
Command /opt/stack/manila/.venv/bin/python -c "import setuptools,
tokenize;__file__='/opt/stack/manila/.venv/build/MySQL-python/setup.py';exec(compile(getattr(tokenize,
'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))"
install --record /tmp/pip-J7FYeG-record/install-record.txt
--single-version-externally-managed --compile --install-headers
/opt/stack/manila/.venv/include/site/python2.7 failed with error code 1 in
/opt/stack/manila/.venv/build/MySQL-python
Traceback (most recent call last):
  File "/opt/stack/manila/.venv/bin/pip", line 11, in <module>
    sys.exit(main())
  File
"/opt/stack/manila/.venv/lib/python2.7/site-packages/pip/__init__.py", line
185, in main
    return command.main(cmd_args)
  File
"/opt/stack/manila/.venv/lib/python2.7/site-packages/pip/basecommand.py",
line 161, in main
    text = '\n'.join(complete_log)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 36:
ordinal not in range(128)
Command "tools/with_venv.sh pip install --upgrade -r
/opt/stack/manila/requirements.txt -r
/opt/stack/manila/test-requirements.txt" failed.
None

============================================

Version of different tools on my system...

[stack@devstack-large-vm manila]$ pip --version
pip 1.5.6 from /usr/lib/python2.7/site-packages (python 2.7)
[stack@devstack-large-vm manila]$ tox --version
1.7.2 imported from /usr/lib/python2.7/site-packages/tox/__init__.pyc
[stack@devstack-large-vm manila]$ virtualenv --version
1.11.6

=========================================

Can anybody see what I am missing for ./run_tests.sh to fail during
install/build of mysql

thanx,
deepak
_______________________________________________
OpenStack-dev mailing list
OpenStack-dev@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to